ホーム > GNU/Linux > 突然yumがunsupported btree versionとか言い出した

突然yumがunsupported btree versionとか言い出した

yum updateしたら
エラー: rpmdb: BDB1009 /var/lib/rpm/Name: unsupported btree version: 41
エラー: Name インデックスを db5 で開けません – 無効な引数です (22)
とか出てきて止まる現象。

で、実際にrpmdbを覗いてみるとそこでは大惨事が発生していたわけです
bdb
いやー、bdbも歴史ながいしなー、バージョン16393とかリリースされてたのかー
そんなわけあるかい。

これは再インストールものかとちょっと焦りましたが、とりあえずrpm –rebuilddbしたらなおりました。どうしてこうなった。

広告
カテゴリー:GNU/Linux
  1. まだコメントはありません。
  1. No trackbacks yet.

コメントを残す

以下に詳細を記入するか、アイコンをクリックしてログインしてください。

WordPress.com ロゴ

WordPress.com アカウントを使ってコメントしています。 ログアウト / 変更 )

Twitter 画像

Twitter アカウントを使ってコメントしています。 ログアウト / 変更 )

Facebook の写真

Facebook アカウントを使ってコメントしています。 ログアウト / 変更 )

Google+ フォト

Google+ アカウントを使ってコメントしています。 ログアウト / 変更 )

%s と連携中

%d人のブロガーが「いいね」をつけました。